<?php


namespace Gitlab\Api;


use Http\Promise\Promise;

class Group extends Base
{
    public function projects(string $path, array $parameters) : Promise
    {
        $resolver = $this->createOptionsResolver();

        $resolver->setDefined('include_subgroups')
            ->setAllowedTypes('include_subgroups', 'bool')
            ->setNormalizer('include_subgroups', $this->getBooleanNormaliser());

        $queryPath = 'groups/' . $this->encodeObjectPath($path) . '/projects';

        $resolvedParameters = $resolver->resolve($parameters);

        return $this->post($queryPath, $resolvedParameters);
    }
}